Zoneomics Logo
Gets the permit data of an area
GET
https://api.zoneomics.com/v2/zonePermits

zonePermits API lets you retrieve permit data for a specific location.

Request Data
Request Parameters
api_key
string
required

A token that is required to make API calls.

top_right_lat
number

Specifies the latitude coordinate of the top-right corner of the area for which you want to retrieve permit data.

top_right_lng
number

Specifies the longitude coordinate of the top-right corner of the area for which you want to retrieve permit data.

bottom_left_lat
number

Specifies the latitude coordinate of the bottom-left corner of the area for which you want to retrieve permit data.

bottom_left_lng
number

Specifies the longitude coordinate of the bottom-left corner of the area for which you want to retrieve permit data.

date_from
date

Retrieves permit records starting from the specified date. You must pass the date value in any of the following formats: YYYY-MM-DD MM-DD-YYYY

date_to
date

Retrieves permit records up to the specified date. You must pass the date value in any of the following formats: YYYY-MM-DD MM-DD-YYYY

project_types
array

Retrieves permit records for a specific project type. You must pass the project type value to this parameter in the following format: ['PERMIT – PROJECT TYPE']. For example: ['PERMIT – ELECTRIC WIRING']

statuses
array

Filter permit records to include only those that match the specified status or statuses. You must pass the status value to this parameter in the following format: ['STATUS'] For example: you could filter permits by ['STANDARD PLAN REVIEW'] status.

radius
number

(lat/lng are required when using this parameter)

Specifies the search radius in meters from a point of origin defined by the latitude (lat) and longitude (lng) parameters. When lat and lng are used together with radius, they become the center point (origin) of the circular search area. The maximum allowed radius is 5,000 meters. Example: If you set lat = 40.7128 and lng = -74.0060 (around New York City) with a radius = 1000, the API will return results within a 1 km circular area centered at that point.

lat
number

Latitude value of the location. For example, lat=39.295468952504876.

lng
number

Longitude value of the location. For example, lng= -76.63822174072267.

boundary
string

the geographic boundary of the area for which you want to retrieve permit data.

zipcode
number

Specifies the postal (zip) code of the area for which you want to retrieve permit data. For example, 90210.

Response Data
status
boolean

Indicates whether the request was successful or not

data
object

This JSON object contains the data items from the API's response as key and value pairs. Descriptions of these data items are provided below:

Attribute NameDescriptionData typeSample Value
source_record_idA unique identifier for the record, combining record ID and data source.String1612263-NY_NEW YORK CITY_PERMITS
applicantsA list of applicants associated with the permit, including their contact and business details.Array[{"applicant_business_name": "PREFERRED BUILDERS", "applicant_phone": "7184853311", "applicant_name": "PATRICK KELLEHER"}]
projectContains details about the project, such as type, sequence, and work category.Object{"project_type": "Alteration", "project_sequence": "02", "project_work_type": "Other-General Construction"}
ownersA list of owners linked to the permit, including name, business name, and contact details.Array[{"owner_name": "MARK SHEMEL", "owner_business_name": "LENMARK COMPANY LLC", "owner_phone": "2123666766"}]
record_linkA direct link to the official permit record on the source authority’s website.Stringhttps://a810-bisweb.nyc.gov/bisweb/PropertyProfileOverviewServlet?bin=1021926&go4=+GO+&requestid=0
sourceThe originating data source for the permit record.StringNY_NEW YORK CITY_PERMITS
project_dateContains key project-related dates such as issue, expiration, and start dates.Object{"permit_expiration_date": "2008-03- 15", "permit_issue_date": "2007-12- 05"}
record_idA unique identifier assigned to the permit record..String1612263
contractorsA list of contractors associated with the project, if available.Array[]
pinRepresents the geographic coordinates of the permit location.Object{"location": {"lon": -73.972463, "lat": 40.747431}}
authorityThe governing body or agency responsible for issuing the permit. StringNEW YORK DOB
locationDetailed address and geolocation data for the permit location.Object{"lot": "00041", "address": "Bin: 1021926 Borough: MANHATTAN Street Name: EAST 39 STREET House: 322 lot: 00041 block: 00944 NYC NY", "city": "NEW YORK CITY", "latitude": 40.747431, "parcel_number": null, "postcode": "10016", "block": "00944", "state": "NY", "longitude": -73.972463 },
created_dateThe date when the permit record was created in the database.String2025-01-01
zoning_classificationIndicates previous and current zoning classifications, if available.Object{"zoning_pre": null, "zoning_current": null}
othersContains additionaldetails such as comments and total fees, if available. Object{"comments": null, "total_fee": null}
statusIndicates the current status of the permit, such as Active, Closed, or Renewal.StringRENEWAL
Use cases

Find all the usecases for the api below

Find the permit data within the specified area.
Get the permit data by passing the coordinates in the top and bottom parameters of the API.
https://api.zoneomics.com/v2/zonePermits?api_key=<Your API Key>&bottom_left_lat=40.74318&bottom_left_lng=73.98530&top_right_lat=40.75415&top_right_lng=-73.96681
Filter the permit data within a specified date range:
Get the permit data within a specified date range by passing values in date_from and date_to parameters. Note: You could filter the permit records from a specific duration or till a particular time by passing the date value in either the date_from or date_to parameter as required.
https://api.zoneomics.com/v2/zonePermits?api_key=<Your API Key>&date_to=2017-01-01&date_from=2011-01-01&lat=40.7494595&lng=-73.97402389999999&radius=100
Filter the permit data by project types:
Get the permit data for a specific project type by passing values in the project_types parameter. Note: You could filter the permits by multiple project types. For example, passing ['PERMIT - ELECTRIC WIRING', 'PERMIT - RENOVATION/ALTERATION'] lets you filter permits by electric wiring and renovation/alteration project types.
https://api.zoneomics.com/v2/zonePermits?api_key=<Your API Key>&project_types=["Alteration"]&lat=40.7494595&lng=-73.97402389999999&radius=100
Filter the permit data by their status:
Get the permit data on a specific permit status by passing values in the statuses parameter. Note: You could filter permits by more than one status. For example, passing ['SIGN PERMIT','STANDARD PLAN REVIEW'] lets you filter permits by sign permit and standard plan review statuses.
https://api.zoneomics.com/v2/zonePermits?api_key=<Your API Key>&lat=40.7494595&lng=-73.97402389999999&radius=100&statuses=["RENEWAL"]
Lat, lng, and radius parameters:
Get the permit data by passing a location in lat, lng, and radius parameters.
http://api.zoneomics.com/v2/zonePermits?&lat=40.7494595&lng=-73.97402389999999&radius=100&api_key=<Your API Key>
Boundary parameter:
Get the permit data within an area specified in the boundary parameter.
http://api.zoneomics.com/v2/zonePermits?boundary=-74.18106079101564,40.8527737139341|-74.24903869628908,40.62541876792774|-73.87619018554689,40.62385529380968|73.84803771972658,40.800815980962575|-74.18106079101564,40.8527737139341&api_key=<Your API Key>
Zipcode parameter:
Get permit data for a ZIP Code.
http://api.zoneomics.com/v2/zonePermits?zipcode=60007&api_key=<Your API Key>

Ready to build with zoning data?

Talk to our team about API access, data coverage, pricing, and the best Zoneomics API package for your use case.